/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.project.dto.template;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
 * 查询接口--数据传输对象：属性配置表
 * <p>
 * createdate:  2021-09-22 15:45:17  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@JsonSerialize
@ApiModel(description = "属性配置表")
public class MtProjectTemplateQueryDto implements Serializable {

    @ApiModelProperty(value = "系统id",required = true)
    private List<String> projectList;

    @ApiModelProperty("租户id")
    @Size(max = 32, message = "租户id-tenantId: 数据长度不能 > 32")
    private String tenantId;

    @ApiModelProperty("逻辑删除(0-未删除,1-已删除)")
    private Boolean deleted;

    @ApiModelProperty("是否公共属性，0：表示否，1：表示否")
    private Boolean publics;

    @ApiModelProperty("模板类型(0.缺陷属性 1.案例属性)")
    private Integer templateType;

    @ApiModelProperty("是否为搜索条件，0：否，1：是")
    private Boolean searchCriteria;

    public List<String> getProjectList() {
        return projectList;
    }

    public void setProjectList(List<String> projectList) {
        this.projectList = projectList;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public Boolean getPublics() {
        return publics;
    }

    public void setPublics(Boolean publics) {
        this.publics = publics;
    }

    public Integer getTemplateType() {
        return templateType;
    }

    public void setTemplateType(Integer templateType) {
        this.templateType = templateType;
    }

    public Boolean getSearchCriteria() {
        return searchCriteria;
    }

    public void setSearchCriteria(Boolean searchCriteria) {
        this.searchCriteria = searchCriteria;
    }
}